Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1074472 - Remove *-tests.jar and *-test-sources.jar files from the Maven repo
Summary: Remove *-tests.jar and *-test-sources.jar files from the Maven repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Maven Repository
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR1
: 6.0.1
Assignee: Petr Kočandrle
QA Contact: Petr Široký
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-10 10:26 UTC by Petr Široký
Modified: 2014-08-06 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Široký 2014-03-10 10:26:11 UTC
Description of problem:
There is a great number of `*-tests.jar` and `*-test-sources.jar` files in the Maven repo. Following the practice introduced by EAP Maven repos, I think those files should be removed. Both eap-6.1.1.GA and eap-6.2.0.GA Maven repos does _not_ contain such artifacts.


Version-Release number of selected component (if applicable):
6.0.1-ER1

Comment 1 Rajesh Rajasekaran 2014-03-18 17:26:18 UTC
Capturing comments from the mailing list. We should give a shot at any attempt to make the repo smaller. Let's see if we can make this change for the 6.0.1 release.

Thanks for the feedback Eric. The jbpm-test-<version>.jar will
definitely stay as it is a "master" artifact (the test in name just
suggest it is used as a library to test jbpm). 

Only the artifacts that ends with `-tests.jar` and `test-sources.jar`
should be IMO removed. For example for the above jbpm-test artifact,
there are also following artifacts:
 - jbpm-test-6.0.2-redhat-3-tests.jar 
 - jbpm-test-6.0.2-redhat-3-test-sources.jar
which I think should be removed.

Thanks,
Petr

On Fri, 2014-03-07 at 10:39 +0100, Eric D. Schabell wrote:
> The only thing that is needed is the jbpm-test.jar, not sure of the exact naming right now but it contains all the helper unit test frameworks that are used in unit tests. 
>
> I know you are talking about the example tests, but this is one that gets lumped into the tests sometimes and it really is needed.

Comment 2 Petr Široký 2014-03-24 10:32:27 UTC
Verified fixed in 6.0.1-CR1.


Note You need to log in before you can comment on or make changes to this bug.